Bug 440173 - Zoom out button not greyed out when PDF document is opened
Summary: Zoom out button not greyed out when PDF document is opened
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: general (show other bugs)
Version: 21.04.3
Platform: Neon Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-23 05:47 UTC by Mohammed Sameer
Modified: 2021-11-23 23:35 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
okular video (293.05 KB, video/mp4)
2021-07-23 05:47 UTC, Mohammed Sameer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammed Sameer 2021-07-23 05:47:32 UTC
Created attachment 140271 [details]
okular video

SUMMARY
Zoom out button not greyed out when PDF document is opened when reaching the maximum zoom out percentage(12%). Please see the attached video.

STEPS TO REPRODUCE
1. open a PDF file in okular
2. click zoom out button until the content is not zooming out
3. 

OBSERVED RESULT
Zoom out button is not greyed out when reaching maximum zoom out percentage.

EXPECTED RESULT
Zoom out button is greyed out when reaching maximum zoom out percentage.

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.22
KDE Plasma Version: 5.22.3
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.3
Kernel Version: 5.8.0-63-generic (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i3-5010U CPU @ 2.10GHz
Memory: 3.8 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 5500

ADDITIONAL INFORMATION
Comment 1 Yuri Chornoivan 2021-07-23 09:26:53 UTC
Actually, the lower bound to grey out the button is 10.1%.

https://invent.kde.org/graphics/okular/-/blob/master/part/pageview.cpp#L3889

There might be a logical problem here...
Comment 2 Bug Janitor Service 2021-11-08 16:35:43 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/502
Comment 3 Albert Astals Cid 2021-11-23 23:35:39 UTC
Git commit 975bf990edbd920bbbe326b1519945f7e859c4f6 by Albert Astals Cid.
Committed on 23/11/2021 at 19:46.
Pushed by aacid into branch 'release/21.12'.

Fix zoom actions not being updated correctly

M  +33   -22   part/pageview.cpp
M  +2    -0    part/pageview.h

https://invent.kde.org/graphics/okular/commit/975bf990edbd920bbbe326b1519945f7e859c4f6